Bug 1567513 - Outdated dependencies in orthanc package
Summary: Outdated dependencies in orthanc package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: orthanc
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sebastien Jodogne
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 16:19 UTC by Pablo Hinojosa
Modified: 2018-05-14 18:35 UTC (History)
3 users (show)

Fixed In Version: orthanc-1.3.2-1.fc28 orthanc-1.3.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-13 19:59:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Pablo Hinojosa 2018-04-14 16:19:29 UTC
Description of problem:

It seems there is a problem with 1.3.0-2.fc27 package. That package set as dependency libdcmdata.so.4 while there is a newer version (libdcmdata.so.12). That provokes dnf try to install dcmtk 3.6.1-4.fc24 (the last that provides libdcmdata.so.4) rather than 3.6.2-1.fc27 (the one that should be installed).


Version-Release number of selected component (if applicable):

orthanc 1.3.0-2.fc27

How reproducible:

run dnf install orthanc and you will see dcmtk 3.6.1-4.fc24 as dependency (rather than 3.6.2-1.fc27, the latest one on Fedora 27). 

Steps to Reproduce:
1. dnf install orthanc
2. look for dependencies

Actual results:

 dcmtk                                                    x86_64                                        3.6.1-4.fc24                                           fedora                                         5.6 M



Expected results:

 dcmtk                                                 x86_64                                         3.6.2-1.fc27                                            updates                                         7.2 M


Additional info:

Here is another check  https://pastebin.com/ucLj7Lzs

Comment 1 Fedora Update System 2018-05-04 12:06:12 UTC
orthanc-1.3.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bdfd587068

Comment 2 Fedora Update System 2018-05-04 12:31:24 UTC
orthanc-1.3.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a62493f5fd

Comment 3 Fedora Update System 2018-05-06 10:07:59 UTC
orthanc-1.3.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a62493f5fd

Comment 4 Fedora Update System 2018-05-06 21:53:37 UTC
orthanc-1.3.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bdfd587068

Comment 5 Fedora Update System 2018-05-13 19:59:40 UTC
orthanc-1.3.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-05-14 18:35:05 UTC
orthanc-1.3.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.